-- MayorS
-- Yuan_Functions

function wiseKhanCultureCity(player)
	local pPlayer = Players[player]
	local cityNum = 0;
	local capNum = 0;
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_S_YUAN then
		print("Got Kublai Khan")
		pCap = pPlayer:GetCapitalCity()
		for pCity in pPlayer:Cities() do
			if (Players[pCity:GetOriginalOwner()] ~= pPlayer) then
				print("Got Other City")
				cityNum = cityNum + 1
				if pCity:IsOriginalCapital() then
					print("Got Other Capital")
					capNum = capNum + 1
					cityNum = cityNum - 1
				end
			end
		end
		pCap:SetNumRealBuilding(GameInfoTypes.BUILDING_YUAN_CONQUER_1, cityNum)
		pCap:ChangeSpecialistGreatPersonProgressTimes100(GameInfo.Specialists.SPECIALIST_WRITER.ID, cityNum + 300)
		pCap:SetNumRealBuilding(GameInfoTypes.BUILDING_YUAN_CONQUER_2, capNum)
	end
end

GameEvents.PlayerDoTurn.Add(wiseKhanCultureCity)

function wiseKhanCaptureCity(player)
	local pPlayer = Players[player]
	if pPlayer:GetCivilizationType() == GameInfoTypes.CIVILIZATION_S_YUAN then
		print("Got Culture")
		local cityNum = pPlayer:GetNumCities()
		local khanCulture = pPlayer:GetJONSCulture()
		if cityNum > 10 then
			cityNum = 10
		end
		pPlayer:SetJONSCulture(khanCulture + cityNum * 10)
	end
end

GameEvents.CityCaptureComplete.Add(wiseKhanCaptureCity)
